netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
llc Struct Reference

`#include <phase2.h>`

## Data Fields
unsigned char | llc_dsap
unsigned char | llc_ssap
union { |
struct { |
unsigned char control |
unsigned char format_id |
unsigned char class |
unsigned char window_x2 |
} type_u
struct { |
unsigned char num_snd_x2 |
unsigned char num_rcv_x2 |
} type_i
struct { |
unsigned char control |
unsigned char num_rcv_x2 |
} type_s
struct { |
unsigned char control |
unsigned char org_code [3] |
unsigned short ether_type |
} type_snap
} | llc_un

## Field Documentation

## ◆ class

unsigned char llc::class

## ◆ control

unsigned char llc::control

## ◆ ether_type

unsigned short llc::ether_type

## ◆ format_id

unsigned char llc::format_id

## ◆ llc_dsap

unsigned char llc::llc_dsap

## ◆ llc_ssap

unsigned char llc::llc_ssap

## ◆ [union]

union { ... } llc::llc_un

## ◆ num_rcv_x2

unsigned char llc::num_rcv_x2

## ◆ num_snd_x2

unsigned char llc::num_snd_x2

## ◆ org_code

unsigned char llc::org_code[3]

## ◆ [struct]

struct { ... } llc::type_i

## ◆ [struct]

struct { ... } llc::type_s

## ◆ [struct]

struct { ... } llc::type_snap

## ◆ [struct]

struct { ... } llc::type_u

## ◆ window_x2

unsigned char llc::window_x2

The documentation for this struct was generated from the following file:

- phase2.h